#ifndef _PHYSMAP_H
#define _PHYSMAP_H

#define PHYSMAPIOC ('p' << 8)
#define PHYSMAP_GETINFO (PHYSMAPIOC | 1)
#define PHYSMAP_ALLOWDETACH (PHYSMAPIOC | 2)
#define PHYSMAP_DENYDETACH (PHYSMAPIOC | 3)

struct physmap_info{
  uint32_t largest_slice;
  uint32_t slice_phys;
  uint32_t regionsize;
  uint32_t allow_detach;
};

#ifdef _KERNEL

/* module internal defines */
#define PHYSMAP_UNINITIALIZED 0
#define PHYSMAP_INIT_ATTACHING 1
#define PHYSMAP_INIT_HANDLE 2
#define PHYSMAP_INIT_KMEM_ALLOC 3
#define PHYSMAP_INIT_BOUND 4
#define PHYSMAP_INIT_DONE 5
#endif

#endif
